dudley/src/IndexList.cpp File Reference
`#include "IndexList.h"`
`#include "ElementFile.h"`
`#include <escript/index.h>`

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Functions

void | dudley::IndexList_insertElements (IndexList *index_list, const ElementFile *elements, const index_t *map)
void | dudley::IndexList_insertElementsWithRowRangeNoMainDiagonal (IndexList *indexList, index_t firstRow, index_t lastRow, const ElementFile *elements, const index_t *map)